.saved-address-section {
  width: 100%;
}
.saved-address-section .address-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
}
.saved-address-section .address-header .heading {
  font-size: 16px;
  font-weight: 600;
  margin: 0;
}
.saved-address-section .address-header .common-black-btn {
  background: #717171 !important;
  padding: 5px 18px !important;
}
.saved-address-section .address-header .common-black-btn:hover {
  border-color: #717171 !important;
}
.saved-address-section .wrapper-div {
  display: flex;
  gap: 10px;
}
.saved-address-section .wrapper-div .address-card {
  background: #f5f5f5;
  border-radius: 8px;
  padding: 10px 25px;
  display: flex;
  gap: 15px;
  margin-bottom: 15px;
  width: 100%;
}
.saved-address-section .wrapper-div .address-card .address-left {
  padding-top: 5px;
}
.saved-address-section .wrapper-div .address-card .address-content {
  flex: 1;
}
.saved-address-section .wrapper-div .address-card .address-content .data {
  margin-bottom: 5px;
  color: #343434;
  font-size: 14px;
}
.saved-address-section .wrapper-div .address-card .address-actions {
  display: flex;
  align-items: flex-start;
  gap: 1px;
}
.saved-address-section .wrapper-div .address-card .action-btn {
  position: relative;
  border: none;
  background: transparent;
  cursor: pointer;
  color: #666;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.saved-address-section .wrapper-div .address-card .action-btn svg {
  font-size: 20px;
  position: relative;
  z-index: 2;
}
.saved-address-section .wrapper-div .address-card .action-btn .text {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, 0);
  opacity: 0;
  font-size: 12px;
  white-space: nowrap;
  transition: all 0.3s ease;
  z-index: 1;
}
.saved-address-section .wrapper-div .address-card .action-btn:hover .text {
  opacity: 1;
  transform: translate(-50%, 24px);
}
.saved-address-section .wrapper-div .address-card .delete-btn:hover,
.saved-address-section .wrapper-div .address-card .edit-btn:hover {
  color: #ff6b57;
}
.saved-address-section .wrapper-div .form-check-input {
  width: 22px;
  height: 22px;
}

@media (min-width: 0px) and (max-width: 1199.98px) {
  .saved-address-section .wrapper-div .address-card .action-btn svg {
    font-size: 16px;
  }
  .saved-address-section .wrapper-div .address-card {
    padding: 8px 15px;
    margin-bottom: 11px;
  }
  .saved-address-section .wrapper-div .address-card .address-content .data {
    margin-bottom: 3px;
  }
  .saved-address-section .address-header .heading {
    font-size: 15px;
  }
  .saved-address-section .wrapper-div .address-card .action-btn .text {
    font-size: 11px;
  }
}

@media (min-width: 0px) and (max-width: 991.98px) {
  .saved-address-section .wrapper-div .address-card .delete-btn,
  .saved-address-section .wrapper-div .address-card .edit-btn {
    color: #ff6b57;
  }
  .saved-address-section .wrapper-div .address-card .action-btn .text {
    opacity: 1;
    transform: translate(-50%, 24px);
  }
}
@media (min-width: 0px) and (max-width: 767.98px) {
  .saved-address-section .wrapper-div .form-check-input {
    width: 18px;
    height: 18px;
  }
  .saved-address-section .address-header .common-black-btn {
    padding: 3px 8px !important;
    font-size: 12px;
  }
  .saved-address-section .address-header .heading {
    font-size: 14px;
  }
  .saved-address-section .wrapper-div .address-card {
    padding: 7px 9px;
  }
  .saved-address-section .wrapper-div .address-card .address-content .data {
    margin-bottom: 2px;
    font-size: 13px;
  }
  .saved-address-section .wrapper-div .address-card .action-btn .text {
    font-size: 10px;
  }
  .saved-address-section .wrapper-div .address-card .action-btn svg {
    font-size: 14px;
  }
}
